Uploaded image for project: 'MariaDB Server'
  1. MariaDB Server
  2. MDEV-19953

Trouble upgrading audit plugin version

    Details

      Description

      I had trouble upgrading audit plugin from 1.4.2 to 1.4.4.

      Here is what I did :

      • on the database : UNINSTALL SONAME 'server_audit';
      • remove the configuration lines concerning the plugin in my.cnf
      • restart the base
      • remove the library server_audit.so (version 1.4.2) from /lib
      • restart the base
      • put the new library server_audit.so (version 1.4.4) into /lib
      • on the database : INSTALL SONAME 'server_audit'; (result is OK)
      • restart the base (result is OK)
      • after few seconds : database crash -> lose connection and then can't connect back

      I tried three times (sometimes with less base restarts), base crashes everytime after installing the new version and restart.

        Attachments

          Activity

            People

            • Assignee:
              holyfoot Alexey Botchkov
              Reporter:
              ch4rl3st0n Charles Fiers
            • Votes:
              1 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated: